package com.huimv.beeboxs.service;

import com.huimv.beeboxs.common.utils.Result;
import com.huimv.beeboxs.entity.HiveBaseBeehive;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2022-04-21
 */
public interface IHiveBaseBeehiveService extends IService<HiveBaseBeehive> {

    Result searchList(Map map);

    Result listAll(Map map);

    Result listCount(Map map);
}
